### Method

# Gio File trash_finish

since: 2.38

#### Declaration

    gboolean
    g_file_trash_finish (
      GFile* file,
      GAsyncResult* result,
      GError** error
    )

#### Description

Finishes an asynchronous file trashing operation, started with g_file_trash_async().

Available since: 2.38

#### Parameters

`result`

  Type: `GAsyncResult`

  A `GAsyncResult`.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on successful trash, `FALSE` otherwise.